<?php

namespace App\Filament\Resources\Limbahs\Schemas;

use App\Models\Gudang;
use Filament\Forms\Components\Select;
use Filament\Forms\Components\TextInput;
use Filament\Schemas\Schema;

class LimbahForm
{
    public static function configure(Schema $schema): Schema
    {
        return $schema
            ->components([
                TextInput::make('kode')
                    ->required(),
                TextInput::make('nama')
                    ->required(),
                TextInput::make('satuan')
                    ->required(),
                TextInput::make('kapasitas')
                    ->required()
                    ->numeric(),
                Select::make('gudang_id')
                    ->relationship('gudang', 'nama')
                    ->required(),
            ]);
    }
}
